javafx.beans.value

## Interface ObservableFloatValue

- All Superinterfaces:
    Observable, ObservableNumberValue, ObservableValue<Number>
  All Known Implementing Classes:
    FloatBinding, FloatExpression, FloatProperty, FloatPropertyBase, JavaBeanFloatProperty, ReadOnlyFloatProperty, ReadOnlyFloatPropertyBase, ReadOnlyFloatWrapper, ReadOnlyJavaBeanFloatProperty, SimpleFloatProperty, SimpleStyleableFloatProperty, StyleableFloatProperty

      public interface ObservableFloatValue
      extends ObservableNumberValue

  An observable float value.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableValue`, `ObservableNumberValue`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `get()` Returns the current value of this `ObservableFloatValue`.

    - ### Methods inherited from interface javafx.beans.value.ObservableNumberValue

      `doubleValue, floatValue, intValue, longValue`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

- - ### Method Detail

    - #### get

          float get()

      Returns the current value of this `ObservableFloatValue`.
      Returns:
        The current value

Copyright (c) 2008, 2015, Oracle and/or its affiliates. All rights reserved.